Status: Closed Start date: 2008-07-15
Assignee: Jean-Philippe Lang % Done: 0%
Category: Wiki Estimated time: 0.00 hour
Target version: 0.8

Resolution: Fixed

Description

I'd like to be able to use anchor links on a wiki page. For example, I'd like to be able to use the wiki pages for a Glossary type page,
with A-Z links at the top, linking to sections below.

Related issues:
Related to Redmine - Defect #28331: h4, h5 and h6 headings on wiki pages shou... Closed

Associated revisions

Revision 1705 - 2008-07-28 19:08 - Jean-Philippe Lang
Adds Trac-Like anchors on wiki headings (#1647).

Revision 1706 - 2008-07-28 19:20 - Jean-Philippe Lang
Adds support for wiki links with anchor (#1647).

Revision 2015 - 2008-11-11 14:37 - Jean-Philippe Lang
Documents Wiki page anchors (#1647).

History

#1 - 2008-07-28 00:54 - Chris Miller

This looks more like a feature request than it does a defect.

In case you haven't noticed, wiki pages already have limited anchors in them. the h1., h2., and then h3. headings all create small anchors in the
page. Unfortunately they're all numbered, and they don't have a fade-in paragraph symbol (like in the Trac wiki) to demonstrate that the anchors
really do exist.

In Firefox, select a heading, right click and from the context menu choose View Selection Source. You should see the HTML code for that specific
heading. You'll notice it's also an <a name="1" class="wiki-page"></a> right before the rest of the text for the header. You can use that to link to
various locations on the page. | do not remember the wiki syntax to link to a section inside of a page, but if | remember correctly there is some to do
just that.

#2 - 2008-07-28 19:33 - Jean-Philippe Lang
- Status changed from New to Closed

- Target version set to 0.8

- Affected version (unused) deleted (0.7.3)

- Resolution set to Fixed

- Affected version deleted (0.7.3)

r1705 adds Trac-like anchors on wiki pages (with text instead of a number). r1706 allows wiki links with anchor.

#3 - 2008-07-28 19:33 - Jean-Philippe Lang

- Tracker changed from Defect to Feature

#4 - 2008-10-22 12:55 - Tomas Pospisek
- Status changed from Closed to Reopened

- Assignee set to Jean-Philippe Lang
| don't see documented anywhere, how one goes about using the implemented anchors. Therefore | am reopening this issue and am proposing to

document the new feature in order for it to become usable by Joe User.

If you feel this is inapropriate or the feature is allready documented then please close this bug again and forgive my offense.

In the case of the feature allready being documented, then please paste the URL into the note field so that interested parties can find the docu.

Thanks,
*t

#5 - 2008-10-22 16:46 - Tomas Pospisek

- File formating_fix.patch added

- File docu.patch added

Attached a docu patch.

The path comes in two parts. The first fixes the most bizarre formatting of the html file:
o replace all tabs by four spaces
e fix bizarre indenting
¢ replaces numeric codes by the respective ASCII characters, where apropriate

¢ remove superfluous CodeRay css definitions

The second part on top of the previous patch documents the new anchors syntax.

Please let me know if you don't want the formatting patch and want the docu patch only.

#6 - 2008-11-11 14:36 - Jean-Philippe Lang

- Status changed from Reopened to Closed

Patch applies in r2015. Thanks.

#7 - 2018-03-25 11:41 - Go MAEDA

- Related to Defect #28331: h4, h5 and h6 headings on wiki pages should have a paragraph mark added

Files
formating_fix.patch 18.7 KB 2008-10-22
docu.patch 1.05 KB 2008-10-22
